<a name="menu">目录</a>
1. [图片验证码](#captcha)
1. [短信验证码](#smsCode)
1. [登录](#login)
1. [当前用户信息查询](#loginUser)
1. [获取菜单](#getMenu)



## **<a name="captcha"> 图片验证码</a>**
[返回到目录](#menu)
##### URL
[/web/auth/userCtl/captcha]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
|   参数   | 必选      |    类型   |      说明|
| -------- | -------- | ------------|---------|
| **width**  |  否    |  int     | 图片验证码宽度 默认120px|
| **height**  |  否    |  int     | 图片验证码高度 默认32px |
| **background**  |  否    |  String     | 背景色颜色值，默认#E8E8E8 |

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "key": "381c1fc567c746d0a4aa33892239cef0",          // 图片验证码key
        "captcha": "...."                                   // 图片
    }
}

```

## **<a name="smsCode"> 短信验证码</a>**
[返回到目录](#menu)
##### URL
[/web/auth/userCtl/smsCode]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
|   参数   | 必选      |    类型   |      说明|
| -------- | -------- | ------------|---------|
| **mobile**  |  是     |  String     | 手机号码|

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
}

```


## **<a name="login"> 登录</a>**
[返回到目录](#menu)
##### URL
[/web/auth/userCtl/login]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
|   参数   | 必选      |    类型   |      说明|
| -------- | -------- | ------------|---------|
| **loginName**  |  是     |  String     | 登录名|
| **password**  |  是    |  String     | 密码 |
| **captchaKey**  |  是    |  String     | 图片验证码key |
| **captchaCode**  |  是    |  String     | 图片验证码填入值 |


#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "xggadminsid": "3cb49932-fa02-44f0-90db-9f06fe02e5c7"   // 登录key
    }
}

```



## **<a name="currentUser"> 当前用户信息查询</a>**
[返回到目录](#menu)
##### URL
[/web/auth/userCtl/currentUser]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
}

```



## **<a name="getMenu"> 获取菜单</a>**
[返回到目录](#menu)
##### URL
[/web/auth/userCtl/getMenu]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

#### 返回结果
```javascript

[
    {
        "name": "首页",
        "path": "/",
        "submenu": []
    },
    {
        "name": "商户中心",
        "path": "/merchants",
        "submenu": [
            {
                "name": "客户管理",
                "team": [
                    {
                        "name": "商户信息",
                        "path": "/merchants/businessInformation"
                    },
                    ...
                ]
            }
        ]
    },
    ...
]
```

